{% extends 'base.html' %}

{% block content %}
{% load staticfiles %}
<h2>Weather</h2>


<div class="columns">
        <div class="column is-offset-4 is-4">
            <form method="POST">
                {% csrf_token %}
                <div>
                    <div>
                        {{ form.name }}
                        <button type="submit" class="btn btn-primary">
                            Add City
                        </button>
                    </div>
                    {% if err_msg %}
                    <div class="alert alert-danger" role="alert" style="width:30%">
                        {{ err_msg }}
                    </div>
                    {% endif %}
                </div>
            </form>
        </div>
</div> 


<br/>


<div class="columns">
    <div class="column is-offset-4 is-4">
        {% for weather_data in weather_data %}
        <div class="card" style="width: 18rem;">
                <figure class="image is-50x50">
                        <img src="http://openweathermap.org/img/w/{{ weather_data.icon }}.png" alt="Image">
                    </figure>
                <div class="card-body">
                    <h5 class="card-title">{{ weather_data.city }}</h5>
                    <p class="card-text">{{ weather_data.temperature }}° C</p>
                    <span> {{ weather_data.description }} </span>
                    <br/>
                    <span> Wind Speed - {{ weather_data.wind.speed }} </span>
                    <br/>
                    <span> Wind Direction - {{ weather_data.wind.deg }} </span>


                    <div style="float: right;">
                        <a href="{% url 'delete_city' weather_data.city %}">
                            <button class="btn btn-danger">
                                Delete
                            </button>
                        </a>
                    </div>
                    
                </div>
                </div>
        {% endfor %}
    </div>
</div>

{% endblock %}